CVE-2002-2217
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2009-02-07 00:21:57
NMCO    

[原文]Multiple PHP remote file inclusion vulnerabilities in Web Server Creator - Web Portal (WSC-WebPortal) 0.1 allow remote attackers to execute arbitrary PHP code via a URL in the (1) l parameter to customize.php or the (2) pg parameter to index.php.


[CNNVD]Web Server Creator Web Portal远程文件包含漏洞(CNNVD-200212-177)

        Web Server Creator Web Portal是一款方便创建WEB结构的程序。
        Web Server Creator Web Portal中的customize.php和index.php脚本对用户提交的输入缺少正确检查,远程攻击者可以利用这个漏洞包含远程服务器上的任意文件,导致文件中的代码以WEB权限在服务器上执行。远程攻击者可以在自己控制的服务器上建立包含恶意代码的文件,通过customize.php和index.php脚本来包含这个远程恶意文件,可导致文件中的恶意代码(如Php代码)以WEB进程权限在系统上执行。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2217
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2217
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-177
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/28815
(UNKNOWN)  XF  webservercreator-customize-file-include(28815)
http://www.securityfocus.com/bid/19896
(UNKNOWN)  BID  19896
http://securitytracker.com/id?1005712
(UNKNOWN)  SECTRACK  1005712
http://xforce.iss.net/xforce/xfdb/10689
(UNKNOWN)  XF  webservercreator-php-file-include(10689)
http://www.securityfocus.com/bid/6251
(UNKNOWN)  BID  6251
http://milw0rm.com/exploits/2318
(UNKNOWN)  MILW0RM  2318
http://archives.neohapsis.com/archives/bugtraq/2002-11/0303.html
(UNKNOWN)  BUGTRAQ  20021125 Web Server Creator - Web Portal 0.1 (PHP)

- 漏洞信息

Web Server Creator Web Portal远程文件包含漏洞
高危 输入验证
2002-12-31 00:00:00 2012-11-30 00:00:00
远程  
        Web Server Creator Web Portal是一款方便创建WEB结构的程序。
        Web Server Creator Web Portal中的customize.php和index.php脚本对用户提交的输入缺少正确检查,远程攻击者可以利用这个漏洞包含远程服务器上的任意文件,导致文件中的代码以WEB权限在服务器上执行。远程攻击者可以在自己控制的服务器上建立包含恶意代码的文件,通过customize.php和index.php脚本来包含这个远程恶意文件,可导致文件中的恶意代码(如Php代码)以WEB进程权限在系统上执行。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在index.php文件中,使用如下代码:
        if (file_exists($pg.".php")){ require ("$pg.php"); }
        代替:
        require ("$pg.php");
        * 在php.ini配置文件中设置'allow_url_fopen'和'register_globals'为'off'。
        厂商补丁:
        Web Server Creator
        ------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://webcreator.com02.com

- 漏洞信息

30800
Web Server Creator index.php pg Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-11-25 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站